%define major		3
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname -d %{name}

Summary:	Stream Engine to handle media streaming channels
Name:		telepathy-farstream
Version:	0.6.2
Release:	1
License:	LGPLv2+
Group:		Networking/Instant messaging
Url:		http://telepathy.freedesktop.org/wiki/
Source0:	http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz

BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(farstream-0.2)
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(telepathy-glib) >= 0.13.4
BuildRequires:	gobject-introspection-devel

Provides:       %{name}-python = %{version}
Obsoletes:      %{name}-python < 0.6.0

%description
Stream Engine is a Telepathy client that uses Farsight and GStreamer
to handle media streaming channels. It's used as a background process
by other Telepathy clients, rather than presenting any user interface
of its own.

Telepathy is a D-Bus framework for unifying real time communication,
including instant messaging, voice calls and video calls. It abstracts
differences between protocols to provide a unified interface for
applications.

%package -n %{libname}
Group:		System/Libraries
Summary:	Stream Engine to handle media streaming channels

%description -n %{libname}
Stream Engine is a Telepathy client that uses Farsight and GStreamer
to handle media streaming channels. It's used as a background process
by other Telepathy clients, rather than presenting any user interface
of its own.

Telepathy is a D-Bus framework for unifying real time communication,
including instant messaging, voice calls and video calls. It abstracts
differences between protocols to provide a unified interface for
applications.

%package -n %{develname}
Group:		Development/C
Summary:	Stream Engine to handle media streaming channels
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the development library and header files
for %{name}.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%files -n %{libname}
%{_libdir}/libtelepathy-farstream.so.%{major}*
%{_libdir}/girepository-1.0/TelepathyFarstream-0.6.typelib

%files -n %{develname}
%doc ChangeLog
%{_libdir}/libtelepathy-farstream.so
%{_includedir}/telepathy-1.0/%{name}
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gtk-doc/html/%{name}
%{_datadir}/gir-1.0/TelepathyFarstream-0.6.gir

%changelog

* Tue Jan 12 2016 Denis Silakov <dsilakov@gmail.com> 0.6.2-1
- (1a2adad) Updated to 0.6.2


